com.fasterxml.jackson.dataformat.avro.deser

## Class ScalarDefaults.StringDefaults

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.deser.AvroFieldReader
  - - com.fasterxml.jackson.dataformat.avro.deser.ScalarDefaults.DefaultsBase
    - - com.fasterxml.jackson.dataformat.avro.deser.ScalarDefaults.StringDefaults

- Enclosing class:
    ScalarDefaults

      protected static final class ScalarDefaults.StringDefaults
      extends ScalarDefaults.DefaultsBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_defaults`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroFieldReader

      `_isSkipper, _name, _typeId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScalarDefaults.StringDefaults(String name, String v)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.core.JsonToken` | `readValue(AvroReadContext parent, AvroParserImpl parser)`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.ScalarDefaults.DefaultsBase

      `skipValue`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroFieldReader

      `construct, constructSkipper, getName, getTypeId, isSkipper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _defaults

          protected final String _defaults

  - ### Constructor Detail

    - #### ScalarDefaults.StringDefaults

          public ScalarDefaults.StringDefaults(String name,
                                       String v)

  - ### Method Detail

    - #### readValue

          public com.fasterxml.jackson.core.JsonToken readValue(AvroReadContext parent,
                                                       AvroParserImpl parser)

      Specified by:
        `readValue` in class `ScalarDefaults.DefaultsBase`

Copyright © 2017 FasterXML. All rights reserved.